import 'package:http/http.dart' as http;
import 'dart:convert';

import 'package:http/http.dart';

class FSKit {
  final Function onSdkReady;
  final String visitorId;
  final String apiKey;
  final String envId;

  String? mode;
  List<int>? listValues;

  FSKit.start(this.envId, this.apiKey, this.visitorId, this.onSdkReady) {
    print(
        " ############################## Start kit ######################### ");
    _getCampaign().then((value) {
      var t = mode ?? "default";
      print(t);
      onSdkReady(value);
    });
  }

  /// Function get campaign

  Future<Response> _getCampaign() async {
    String endPoint = 'https://decision.flagship.io/v2/';

    String urlGetCampaigns = endPoint +
        envId +
        "/campaigns?exposeAllKeys=true&sendContextEvent=false";

    print(" ################# The url to get campaign is " +
        urlGetCampaigns +
        "#########################\n");

    var url = Uri.parse(urlGetCampaigns);
    var response = await http.post(url,
        body: json.encode({"visitorId": visitorId, "context": {}}),
        headers: {"x-api-key": apiKey});

    return response;
  }
}
